# This is a Docker image for running the tests for monitizer.
# It should be pushed to registry.gitlab.com/live-lab/software/monitizer/test
# and will be used by CI as declared in .gitlab-ci.yml.
#
# Commands for updating the image:
# docker build -t registry.gitlab.com/live-lab/software/monitizer/test:python-3.8 - < tests/Dockerfile.python-3.8
# docker login registry.gitlab.com/live-lab/software/monitizer
# docker push registry.gitlab.com/live-lab/software/monitizer/test:python-3.8

FROM python:3.8.18-bullseye

RUN apt update && apt upgrade -y && apt install -y \
  python3-pip

RUN pip install -U pip && pip install torch torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/cpu

RUN pip install \
    'torch' \
    'numpy' \
    'pandas' \
    'matplotlib' \
    'scikit-learn' \
    'onnx2pytorch' \
    'plotly' \
    'kaleido' \
    'tqdm' \
    'tabulate'


